<% provide :title, 'Index news' %>
<div class="show-news">
  <%= link_to "<button>Thêm mới tin tức</button>".html_safe, logged_in? ? new_news_path : login_path %>
  <div class="tag_new">
    <%= t ".hot_news" %>
  </div>
  <div class="swiper mySwiper">
    <div class="swiper-wrapper">
      <% if @news_banner.empty? %>
        <div class="notification"><%= t "news.common.no_news" %></div>
      <% end %>
      <% if @news_banner.empty? == false %>
        <%= render 'news_banner' %>
      <% end %>
    </div>
    <div class="swiper-pagination"></div>
  </div>

  <div class="search_new">
    <%= form_for(news_path, method: :get) do |f| %>
      <div class="filter_input">
        <%= text_field_tag :key_word, params[:key_word], class: "input_search" %>
        <% if @categories %>
          <%= select_tag :category_id, options_from_collection_for_select(@categories, :id, :name, params[:category_id])%>
        <% end %>
        <% if @user %>
          <%= select_tag :user_id, options_from_collection_for_select(@user, :id, :name, params[:user_id])%>
        <% end %>
        <%= submit_tag 'Search', class: "button_search"  %>
      </div>
    <% end %>
  </div>

  <div class="tag_new">
    <%= t ".filter_new" %>
  </div>
  <div class="swiperC mySwiperC">
    <div class="swiper-wrapper">
      <%# if @new.count == 0 %>
<!--        <div class="notification"><%#= t "news.common.no_news" %></div>-->
      <%# end %>
      <% if @news.count > 0 %>
        <% @news.each do |c| %>
          <% if c.thump.attached? %>
            <div class="swiper-slide swiper-slideC">
              <div class="swiper-img"><%= link_to image_tag(c.thump), "/#{locale}/news/#{c.id}" %></div>
              <div class="swiper_title">
                <%= link_to c.title, "/#{locale}/news/#{c.id}" %></div>
            </div>
          <% end %>
        <% end %>
      <% end %>
    </div>
    <div class="swiper-pagination"></div>
  </div>

  <%# if Category.all %>
  <%# Category.all.each do |i| %>
  <!--      <div class="tag_new">-->
  <%#= i.name %>
  <!--      </div>-->
  <%# if i.new.count == 0 %>
  <!--        <div class="notification"><%#= t "news.common.no_news" %></div>-->
  <%# end %>
  <%# if i.new.count > 0 %>
  <!--        <div class="swiperC mySwiperC">-->
  <!--          <div class="swiper-wrapper">-->
  <%# i.new.each do |c| %>
  <%# if c.thump.attached? %>
  <!--                <div class="swiper-slide swiper-slideC">-->
  <!--                  <div class="swiper-img"><%#= link_to image_tag(c.thump) , "/#{locale}/news/#{c.id}" %></div>-->
  <!--                  <div class="swiper_title">-->
  <!--                    <%#= link_to c.title , "/#{locale}/news/#{c.id}" %></div>-->
  <!--                </div>-->
  <%# end %>
  <%# end %>
  <!--          </div>-->
  <!--          <div class="swiper-pagination"></div>-->
  <!--        </div>-->
  <%# end %>
  <%# end %>
  <%# end %>
</div>

<!-- Swiper JS -->
<script src="https://unpkg.com/swiper/swiper-bundle.min.js"></script>

<!-- Initialize Swiper -->
<script>
    var swiper = new Swiper(".mySwiper", {
        pagination: {
            el: ".swiper-pagination",
            clickable: true,
        },
    });

    var swiperC = new Swiper(".mySwiperC", {
        slidesPerView: 3,
        spaceBetween: 30,
        pagination: {
            el: ".swiper-pagination",
            clickable: true,
        },
    });
</script>
